import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public class BoxTextCanvas extends MIDlet{
	private Display display;

	public void startApp(){
		Canvas canvas = new CanvasBoxText();
		display = Display.getDisplay(this);
		display.setCurrent(canvas);
	}

	public void pauseApp(){}

	public void destroyApp(boolean unconditional){}
}

class CanvasBoxText extends Canvas{
  private Font font;

  public CanvasBoxText(){
    font = Font.getFont(Font.FACE_PROPORTIONAL, Font.STYLE_PLAIN, Font.SIZE_LARGE);
  }

  public void paint(Graphics g){
    int width = getWidth();
    int height = getHeight();

    g.setColor(255, 0, 0);
    g.fillRect(0, 0, width, height);
    g.setColor(0, 0, 255);

    String sandeep = "SANDEEP";
    int w = font.stringWidth(sandeep);
    int h = font.getHeight();
    int x = (width - w) / 2;
    int y = height / 2;

    g.setFont(font);
    g.drawString(sandeep, x, y, Graphics.TOP | Graphics.LEFT);
    g.drawRect(x, y, w, h);
  }
}